

CONFIG_MODULES=n fix.

Move it to compiler.h because sometimes module.h includes files which use
__deprecated_in_modules.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/compiler.h |    6 ++++++
 25-akpm/include/linux/module.h   |    6 ------
 2 files changed, 6 insertions(+), 6 deletions(-)

diff -puN include/linux/module.h~add-deprecated_for_modules-fix include/linux/module.h
--- 25/include/linux/module.h~add-deprecated_for_modules-fix	2005-04-04 19:56:58.000000000 -0700
+++ 25-akpm/include/linux/module.h	2005-04-04 20:03:01.000000000 -0700
@@ -195,12 +195,6 @@ void *__symbol_get_gpl(const char *symbo
 #define EXPORT_SYMBOL_GPL(sym)					\
 	__EXPORT_SYMBOL(sym, "_gpl")
 
-#ifdef MODULE
-#define __deprecated_for_modules __deprecated
-#else
-#define __deprecated_for_modules
-#endif
-
 #endif
 
 struct module_ref
diff -puN include/linux/compiler.h~add-deprecated_for_modules-fix include/linux/compiler.h
--- 25/include/linux/compiler.h~add-deprecated_for_modules-fix	2005-04-04 20:02:54.000000000 -0700
+++ 25-akpm/include/linux/compiler.h	2005-04-04 20:03:06.000000000 -0700
@@ -90,6 +90,12 @@ extern void __chk_io_ptr(void __iomem *)
 # define __deprecated		/* unimplemented */
 #endif
 
+#ifdef MODULE
+#define __deprecated_for_modules __deprecated
+#else
+#define __deprecated_for_modules
+#endif
+
 #ifndef __must_check
 #define __must_check
 #endif
_
